// SVAECoercions.h
//
// 7Edit 3.1d1. Original version by Jon Lansdell and Nigel Humphreys.
// 3.1 updates by Greg Sutton.
// Apple Computer Inc 1995, all rights reserved.

#ifndef __SVAECOERCIONS__
#define __SVAECOERCIONS__

#include <AppleEvents.h>
#include <AEObjects.h>
#include <AERegistry.h>

OSErr			InstallCoercions(void);

pascal OSErr	CoerceObjToAnything(const AEDesc	*theAEDesc,
									DescType		toType,
    								long			handlerRefCon,
									AEDesc			*result);

pascal OSErr	CoerceWindowToText(AEDesc	*theAEDesc,
									DescType		toType,
    								long			handlerRefCon,
									AEDesc			*result);

pascal OSErr	CoerceWindowPropertyToText(AEDesc		*theAEDesc,
											DescType	toType,
    										long		handlerRefCon,
											AEDesc		*result);

pascal OSErr	CoerceListToAnything(AEDesc		*theAEDesc,
								     DescType	toType,
    								 long		handlerRefCon,
									 AEDesc		*result);

OSErr			CoerceAnythingToType(AEDesc* theDesc, DescType toType, AEDesc* result);
#endif
