// SVAppleEvents.h
//
// 7Edit 3.1d1. Original version by Jon Lansdell and Nigel Humphreys.
// 3.1 updates by Greg Sutton.
// Apple Computer Inc 1995, all rights reserved.

#ifndef __SVAPPLEEVENTS__
#define __SVAPPLEEVENTS__

#include <Types.h>
#include <Quickdraw.h>
#include <Packages.h>
#include <GestaltEqu.h>
#include <Editions.h>

#include "SVToken.h"

#define 	noRefCon 	-1

void 			InitAppleEvents(void);
void			DoAppleEvent(EventRecord theEvent);

pascal OSErr DoOpenApp(const AppleEvent *message,const AppleEvent *reply,long refcon);
pascal OSErr DoOpenDocument(const AppleEvent *message, const AppleEvent *reply, long refcon);		
pascal OSErr MyQuit(const AppleEvent *message,const AppleEvent *reply,long refcon);	
pascal OSErr DoPrintDocuments(const AppleEvent *message, AppleEvent *reply, long refcon);


#endif