#   File:       7EditFAT.make
#   Target:     7EditFAT
#   Sources:    :Sources:SVEdit.r
#				:Sources:SVEditPPC.r
#				:Sources:Offscreen.c
#				:Sources:SVAEAccessors.c
#				:Sources:SVAEClone.c
#				:Sources:SVAEClose.c
#				:Sources:SVAECoercions.c
#				:Sources:SVAECompare.c
#				:Sources:SVAECopy.c
#				:Sources:SVAECountElements.c
#				:Sources:SVAECreate.c
#				:Sources:SVAECut.c
#				:Sources:SVAEDelete.c
#				:Sources:SVAEGetData.c
#				:Sources:SVAEGetDataSize.c
#				:Sources:SVAEMove.c
#				:Sources:SVAEObjectsExist.c
#				:Sources:SVAEPaste.c
#				:Sources:SVAERecording.c
#				:Sources:SVAERevert.c
#				:Sources:SVAESave.c
#				:Sources:SVAESelect.c
#				:Sources:SVAESetData.c
#				:Sources:SVAETextUtils.c
#				:Sources:SVAEWindowUtils.c
#				:Sources:SVAppleEvents.c
#				:Sources:SVDrag.c
#				:Sources:SVEditAEUtils.c
#				:Sources:SVEditFile.c
#				:Sources:SVEditGlobals.c
#				:Sources:SVEditGXPrinting.c
#				:Sources:SVEditMain.c
#				:Sources:SVEditUtils.c
#				:Sources:SVEditWindow.c


MAKEFILE     = 7EditFAT.make
MondoBuild = #{MAKEFILE}  # Make blank to avoid rebuilds when makefile is modified
Includes     =  
SymPPC      = 
ObjDirPPC   = :ObjectsPPC:
Sym68K      = 
ObjDir68K   = :Objects68K:
C            = SC
PPCC         = MrC

PPCCOptions  = {Includes} {SymPPC} -w off 

COptions     = {Includes} {Sym68K} -w off 

ObjectsPPC  = 
		"{ObjDirPPC}Offscreen.c.x" 
		"{ObjDirPPC}SVAEAccessors.c.x" 
		"{ObjDirPPC}SVAEClone.c.x" 
		"{ObjDirPPC}SVAEClose.c.x" 
		"{ObjDirPPC}SVAECoercions.c.x" 
		"{ObjDirPPC}SVAECompare.c.x" 
		"{ObjDirPPC}SVAECopy.c.x" 
		"{ObjDirPPC}SVAECountElements.c.x" 
		"{ObjDirPPC}SVAECreate.c.x" 
		"{ObjDirPPC}SVAECut.c.x" 
		"{ObjDirPPC}SVAEDelete.c.x" 
		"{ObjDirPPC}SVAEGetData.c.x" 
		"{ObjDirPPC}SVAEGetDataSize.c.x" 
		"{ObjDirPPC}SVAEMove.c.x" 
		"{ObjDirPPC}SVAEObjectsExist.c.x" 
		"{ObjDirPPC}SVAEPaste.c.x" 
		"{ObjDirPPC}SVAERecording.c.x" 
		"{ObjDirPPC}SVAERevert.c.x" 
		"{ObjDirPPC}SVAESave.c.x" 
		"{ObjDirPPC}SVAESelect.c.x" 
		"{ObjDirPPC}SVAESetData.c.x" 
		"{ObjDirPPC}SVAETextUtils.c.x" 
		"{ObjDirPPC}SVAEWindowUtils.c.x" 
		"{ObjDirPPC}SVAppleEvents.c.x" 
		"{ObjDirPPC}SVDrag.c.x" 
		"{ObjDirPPC}SVEditAEUtils.c.x" 
		"{ObjDirPPC}SVEditFile.c.x" 
		"{ObjDirPPC}SVEditGlobals.c.x" 
		"{ObjDirPPC}SVEditGXPrinting.c.x" 
		"{ObjDirPPC}SVEditMain.c.x" 
		"{ObjDirPPC}SVEditUtils.c.x" 
		"{ObjDirPPC}SVEditWindow.c.x" 
		"{ObjDirPPC}QDLibrary.c.x" 

Objects68K  = 
		"{ObjDir68K}Offscreen.c.o" 
		"{ObjDir68K}SVAEAccessors.c.o" 
		"{ObjDir68K}SVAEClone.c.o" 
		"{ObjDir68K}SVAEClose.c.o" 
		"{ObjDir68K}SVAECoercions.c.o" 
		"{ObjDir68K}SVAECompare.c.o" 
		"{ObjDir68K}SVAECopy.c.o" 
		"{ObjDir68K}SVAECountElements.c.o" 
		"{ObjDir68K}SVAECreate.c.o" 
		"{ObjDir68K}SVAECut.c.o" 
		"{ObjDir68K}SVAEDelete.c.o" 
		"{ObjDir68K}SVAEGetData.c.o" 
		"{ObjDir68K}SVAEGetDataSize.c.o" 
		"{ObjDir68K}SVAEMove.c.o" 
		"{ObjDir68K}SVAEObjectsExist.c.o" 
		"{ObjDir68K}SVAEPaste.c.o" 
		"{ObjDir68K}SVAERecording.c.o" 
		"{ObjDir68K}SVAERevert.c.o" 
		"{ObjDir68K}SVAESave.c.o" 
		"{ObjDir68K}SVAESelect.c.o" 
		"{ObjDir68K}SVAESetData.c.o" 
		"{ObjDir68K}SVAETextUtils.c.o" 
		"{ObjDir68K}SVAEWindowUtils.c.o" 
		"{ObjDir68K}SVAppleEvents.c.o" 
		"{ObjDir68K}SVDrag.c.o" 
		"{ObjDir68K}SVEditAEUtils.c.o" 
		"{ObjDir68K}SVEditFile.c.o" 
		"{ObjDir68K}SVEditGlobals.c.o" 
		"{ObjDir68K}SVEditGXPrinting.c.o" 
		"{ObjDir68K}SVEditMain.c.o" 
		"{ObjDir68K}SVEditUtils.c.o" 
		"{ObjDir68K}SVEditWindow.c.o" 
		"{ObjDir68K}QDLibrary.c.o" 


7EditFAT  {MondoBuild} {ObjectsPPC}
	PPCLink 
		-o {Targ} {SymPPC} 
		{ObjectsPPC} 
		-t 'APPL' 
		-c 'SVED' 
		"{SharedLibraries}"DragLib 
		"{SharedLibraries}"InterfaceLib 
		"{SharedLibraries}"StdCLib 
		"{SharedLibraries}"ObjectSupportLib 
		"{SharedLibraries}"AppleScriptLib 
		"{PPCLibraries}"MathLib.xcoff 
		"{PPCLibraries}"QuickDrawGXLib.xcoff 
		"{PPCLibraries}"StdCRuntime.o 
		"{PPCLibraries}"PPCCRuntime.o 
		"{PPCLibraries}"PPCToolLibs.o 
		-librename MathLib.xcoff=MathLib 
		-librename QuickDrawGXLib.xcoff=QuickDrawGXLib 
		-weakLib QuickDrawGXLib 
		-weakLib DragLib

7EditFAT  {MondoBuild} {Objects68K}
	Link 
	    -model far 
		-o {Targ} -d {Sym68K} 
		{Objects68K} 
		-t 'APPL' 
		-c 'SVED' 
		"{Libraries}"Runtime.o 
		"{Libraries}"Interface.o 
		"{Libraries}"AEObjectSupportLib.o 
		"{CLibraries}"StdCLib.o

7EditFAT  {MondoBuild} :Sources:SVEdit.r
	Rez :Sources:SVEdit.r -o {Targ} {Includes} -append

7EditFAT  {MondoBuild} :Sources:SVEditPPC.r
	Rez :Sources:SVEditPPC.r -o {Targ} {Includes} -append

# 68K dependencies

"{ObjDir68K}Offscreen.c.o"  {MondoBuild} :Sources:Offscreen.c :Sources:Offscreen.h
	{C} :Sources:Offscreen.c -o {Targ} {COptions}

"{ObjDir68K}SVAEAccessors.c.o"  {MondoBuild} :Sources:SVAEAccessors.c :Sources:SVAEAccessors.h :Sources:SVEditGlobals.h
	{C} :Sources:SVAEAccessors.c -o {Targ} {COptions}

"{ObjDir68K}SVAEClone.c.o"  {MondoBuild} :Sources:SVAEClone.c :Sources:SVAEClone.h :Sources:SVEditGlobals.h
	{C} :Sources:SVAEClone.c -o {Targ} {COptions}

"{ObjDir68K}SVAEClose.c.o"  {MondoBuild} :Sources:SVAEClose.c :Sources:SVAEClose.h :Sources:SVEditGlobals.h
	{C} :Sources:SVAEClose.c -o {Targ} {COptions}

"{ObjDir68K}SVAECoercions.c.o"  {MondoBuild} :Sources:SVAECoercions.c :Sources:SVAECoercions.h :Sources:SVEditGlobals.h
	{C} :Sources:SVAECoercions.c -o {Targ} {COptions}

"{ObjDir68K}SVAECompare.c.o"  {MondoBuild} :Sources:SVAECompare.c :Sources:SVAECompare.h :Sources:SVEditGlobals.h
	{C} :Sources:SVAECompare.c -o {Targ} {COptions}

"{ObjDir68K}SVAECopy.c.o"  {MondoBuild} :Sources:SVAECopy.c :Sources:SVAECopy.h :Sources:SVEditGlobals.h
	{C} :Sources:SVAECopy.c -o {Targ} {COptions}

"{ObjDir68K}SVAECountElements.c.o"  {MondoBuild} :Sources:SVAECountElements.c  :Sources:SVAECountElements.h :Sources:SVEditGlobals.h
	{C} :Sources:SVAECountElements.c -o {Targ} {COptions}

"{ObjDir68K}SVAECreate.c.o"  {MondoBuild} :Sources:SVAECreate.c :Sources:SVAECreate.h: :Sources:SVEditGlobals.h
	{C} :Sources:SVAECreate.c -o {Targ} {COptions}

"{ObjDir68K}SVAECut.c.o"  {MondoBuild} :Sources:SVAECut.c :Sources:SVAECut.h :Sources:SVEditGlobals.h
	{C} :Sources:SVAECut.c -o {Targ} {COptions}

"{ObjDir68K}SVAEDelete.c.o"  {MondoBuild} :Sources:SVAEDelete.c  :Sources:SVAEDelete.h :Sources:SVEditGlobals.h
	{C} :Sources:SVAEDelete.c -o {Targ} {COptions}

"{ObjDir68K}SVAEGetData.c.o"  {MondoBuild} :Sources:SVAEGetData.c  :Sources:SVAEGetData.h :Sources:SVEditGlobals.h
	{C} :Sources:SVAEGetData.c -o {Targ} {COptions}

"{ObjDir68K}SVAEGetDataSize.c.o"  {MondoBuild} :Sources:SVAEGetDataSize.c  :Sources:SVAEGetDataSize.h :Sources:SVEditGlobals.h
	{C} :Sources:SVAEGetDataSize.c -o {Targ} {COptions}

"{ObjDir68K}SVAEMove.c.o"  {MondoBuild} :Sources:SVAEMove.c  :Sources:SVAEMove.h :Sources:SVEditGlobals.h
	{C} :Sources:SVAEMove.c -o {Targ} {COptions}

"{ObjDir68K}SVAEObjectsExist.c.o"  {MondoBuild} :Sources:SVAEObjectsExist.c :Sources:SVAEObjectsExist.h :Sources:SVEditGlobals.h
	{C} :Sources:SVAEObjectsExist.c -o {Targ} {COptions}

"{ObjDir68K}SVAEPaste.c.o"  {MondoBuild} :Sources:SVAEPaste.c  :Sources:SVAEPaste.h :Sources:SVEditGlobals.h
	{C} :Sources:SVAEPaste.c -o {Targ} {COptions}

"{ObjDir68K}SVAERecording.c.o"  {MondoBuild} :Sources:SVAERecording.c  :Sources:SVAERecording.h :Sources:SVEditGlobals.h
	{C} :Sources:SVAERecording.c -o {Targ} {COptions}

"{ObjDir68K}SVAERevert.c.o"  {MondoBuild} :Sources:SVAERevert.c :Sources:SVAERevert.h :Sources:SVEditGlobals.h
	{C} :Sources:SVAERevert.c -o {Targ} {COptions}

"{ObjDir68K}SVAESave.c.o"  {MondoBuild} :Sources:SVAESave.c  :Sources:SVAESave.h :Sources:SVEditGlobals.h
	{C} :Sources:SVAESave.c -o {Targ} {COptions}

"{ObjDir68K}SVAESelect.c.o"  {MondoBuild} :Sources:SVAESelect.c  :Sources:SVAESelect.h :Sources:SVEditGlobals.h
	{C} :Sources:SVAESelect.c -o {Targ} {COptions}

"{ObjDir68K}SVAESetData.c.o"  {MondoBuild} :Sources:SVAESetData.c  :Sources:SVAESetData.h :Sources:SVEditGlobals.h
	{C} :Sources:SVAESetData.c -o {Targ} {COptions}

"{ObjDir68K}SVAETextUtils.c.o"  {MondoBuild} :Sources:SVAETextUtils.c  :Sources:SVAETextUtils.h :Sources:SVEditGlobals.h
	{C} :Sources:SVAETextUtils.c -o {Targ} {COptions}

"{ObjDir68K}SVAEWindowUtils.c.o"  {MondoBuild} :Sources:SVAEWindowUtils.c :Sources:SVAEWindowUtils.h :Sources:SVEditGlobals.h
	{C} :Sources:SVAEWindowUtils.c -o {Targ} {COptions}

"{ObjDir68K}SVAppleEvents.c.o"  {MondoBuild} :Sources:SVAppleEvents.c :Sources:SVAppleEvents.h :Sources:SVEditGlobals.h
	{C} :Sources:SVAppleEvents.c -o {Targ} {COptions}

"{ObjDir68K}SVDrag.c.o"  {MondoBuild} :Sources:SVDrag.c :Sources:SVDrag.h :Sources:SVEditGlobals.h
	{C} :Sources:SVDrag.c -o {Targ} {COptions}

"{ObjDir68K}SVEditAEUtils.c.o"  {MondoBuild} :Sources:SVEditAEUtils.c :Sources:SVEditAEUtils.h :Sources:SVEditGlobals.h
	{C} :Sources:SVEditAEUtils.c -o {Targ} {COptions}

"{ObjDir68K}SVEditFile.c.o"  {MondoBuild} :Sources:SVEditFile.c :Sources:SVEditFile.h :Sources:SVEditGlobals.h
	{C} :Sources:SVEditFile.c -o {Targ} {COptions}

"{ObjDir68K}SVEditGlobals.c.o"  {MondoBuild} :Sources:SVEditGlobals.c :Sources:SVEditGlobals.h
	{C} :Sources:SVEditGlobals.c -o {Targ} {COptions}

"{ObjDir68K}SVEditGXPrinting.c.o"  {MondoBuild} :Sources:SVEditGXPrinting.c  :Sources:SVEditGXPrinting.h :Sources:SVEditGlobals.h
	{C} :Sources:SVEditGXPrinting.c -o {Targ} {COptions} -i "{CIncludes}GX Compatibility Interfaces" -i "{CIncludes}GX Libraries:"

"{ObjDir68K}SVEditMain.c.o"  {MondoBuild} :Sources:SVEditMain.c :Sources:SVEditMain.h :Sources:SVEditGlobals.h
	{C} :Sources:SVEditMain.c -o {Targ} {COptions}

"{ObjDir68K}SVEditUtils.c.o"  {MondoBuild} :Sources:SVEditUtils.c :Sources:SVEditUtils.h :Sources:SVEditGlobals.h
	{C} :Sources:SVEditUtils.c -o {Targ} {COptions}

"{ObjDir68K}SVEditWindow.c.o"  {MondoBuild} :Sources:SVEditWindow.c :Sources:SVEditWindow.h :Sources:SVEditGlobals.h
	{C} :Sources:SVEditWindow.c -o {Targ} {COptions}  -i "{CIncludes}GX Compatibility Interfaces"

"{ObjDir68K}QDLibrary.c.o"  {MondoBuild} "{CIncludes}GX Libraries:QDLibrary.c"
	{C} "{CIncludes}GX Libraries:QDLibrary.c" -o {Targ} {COptions}
	

# PPC dependencies

"{ObjDirPPC}Offscreen.c.x"  {MondoBuild} :Sources:Offscreen.c :Sources:Offscreen.h
	{PPCC} :Sources:Offscreen.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}SVAEAccessors.c.x"  {MondoBuild} :Sources:SVAEAccessors.c :Sources:SVAEAccessors.h :Sources:SVEditGlobals.h
	{PPCC} :Sources:SVAEAccessors.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}SVAEClone.c.x"  {MondoBuild} :Sources:SVAEClone.c :Sources:SVAEClone.h :Sources:SVEditGlobals.h
	{PPCC} :Sources:SVAEClone.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}SVAEClose.c.x"  {MondoBuild} :Sources:SVAEClose.c :Sources:SVAEClose.h :Sources:SVEditGlobals.h
	{PPCC} :Sources:SVAEClose.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}SVAECoercions.c.x"  {MondoBuild} :Sources:SVAECoercions.c :Sources:SVAECoercions.h :Sources:SVEditGlobals.h
	{PPCC} :Sources:SVAECoercions.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}SVAECompare.c.x"  {MondoBuild} :Sources:SVAECompare.c :Sources:SVAECompare.h :Sources:SVEditGlobals.h
	{PPCC} :Sources:SVAECompare.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}SVAECopy.c.x"  {MondoBuild} :Sources:SVAECopy.c :Sources:SVAECopy.h :Sources:SVEditGlobals.h
	{PPCC} :Sources:SVAECopy.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}SVAECountElements.c.x"  {MondoBuild} :Sources:SVAECountElements.c :Sources:SVAECountElements.h :Sources:SVEditGlobals.h
	{PPCC} :Sources:SVAECountElements.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}SVAECreate.c.x"  {MondoBuild} :Sources:SVAECreate.c :Sources:SVAECreate.h :Sources:SVEditGlobals.h
	{PPCC} :Sources:SVAECreate.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}SVAECut.c.x"  {MondoBuild} :Sources:SVAECut.c :Sources:SVAECut.h :Sources:SVEditGlobals.h
	{PPCC} :Sources:SVAECut.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}SVAEDelete.c.x"  {MondoBuild} :Sources:SVAEDelete.c :Sources:SVAEDelete.h :Sources:SVEditGlobals.h
	{PPCC} :Sources:SVAEDelete.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}SVAEGetData.c.x"  {MondoBuild} :Sources:SVAEGetData.c :Sources:SVAEGetData.h :Sources:SVEditGlobals.h
	{PPCC} :Sources:SVAEGetData.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}SVAEGetDataSize.c.x"  {MondoBuild} :Sources:SVAEGetDataSize.c :Sources:SVAEGetDataSize.h :Sources:SVEditGlobals.h
	{PPCC} :Sources:SVAEGetDataSize.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}SVAEMove.c.x"  {MondoBuild} :Sources:SVAEMove.c :Sources:SVAEMove.h :Sources:SVEditGlobals.h
	{PPCC} :Sources:SVAEMove.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}SVAEObjectsExist.c.x"  {MondoBuild} :Sources:SVAEObjectsExist.c  :Sources:SVAEObjectsExist.h :Sources:SVEditGlobals.h
	{PPCC} :Sources:SVAEObjectsExist.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}SVAEPaste.c.x"  {MondoBuild} :Sources:SVAEPaste.c :Sources:SVAEPaste.h :Sources:SVEditGlobals.h
	{PPCC} :Sources:SVAEPaste.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}SVAERecording.c.x"  {MondoBuild} :Sources:SVAERecording.c  :Sources:SVAERecording.h :Sources:SVEditGlobals.h
	{PPCC} :Sources:SVAERecording.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}SVAERevert.c.x"  {MondoBuild} :Sources:SVAERevert.c :Sources:SVAERevert.h :Sources:SVEditGlobals.h
	{PPCC} :Sources:SVAERevert.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}SVAESave.c.x"  {MondoBuild} :Sources:SVAESave.c  :Sources:SVAESave.h :Sources:SVEditGlobals.h
	{PPCC} :Sources:SVAESave.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}SVAESelect.c.x"  {MondoBuild} :Sources:SVAESelect.c :Sources:SVAESelect.h :Sources:SVEditGlobals.h
	{PPCC} :Sources:SVAESelect.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}SVAESetData.c.x"  {MondoBuild} :Sources:SVAESetData.c :Sources:SVAESetData.h :Sources:SVEditGlobals.h
	{PPCC} :Sources:SVAESetData.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}SVAETextUtils.c.x"  {MondoBuild} :Sources:SVAETextUtils.c :Sources:SVAETextUtils.h :Sources:SVEditGlobals.h
	{PPCC} :Sources:SVAETextUtils.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}SVAEWindowUtils.c.x"  {MondoBuild} :Sources:SVAEWindowUtils.c  :Sources:SVAEWindowUtils.h :Sources:SVEditGlobals.h
	{PPCC} :Sources:SVAEWindowUtils.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}SVAppleEvents.c.x"  {MondoBuild} :Sources:SVAppleEvents.c :Sources:SVAppleEvents.h :Sources:SVEditGlobals.h
	{PPCC} :Sources:SVAppleEvents.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}SVDrag.c.x"  {MondoBuild} :Sources:SVDrag.c :Sources:SVDrag.h :Sources:SVEditGlobals.h
	{PPCC} :Sources:SVDrag.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}SVEditAEUtils.c.x"  {MondoBuild} :Sources:SVEditAEUtils.c :Sources:SVEditAEUtils.h :Sources:SVEditGlobals.h
	{PPCC} :Sources:SVEditAEUtils.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}SVEditFile.c.x"  {MondoBuild} :Sources:SVEditFile.c :Sources:SVEditFile.h :Sources:SVEditGlobals.h
	{PPCC} :Sources:SVEditFile.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}SVEditGlobals.c.x"  {MondoBuild} :Sources:SVEditGlobals.c :Sources:SVEditGlobals.h
	{PPCC} :Sources:SVEditGlobals.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}SVEditGXPrinting.c.x"  {MondoBuild} :Sources:SVEditGXPrinting.c :Sources:SVEditGXPrinting.h :Sources:SVEditGlobals.h
	{PPCC} :Sources:SVEditGXPrinting.c -o {Targ} {PPCCOptions} -i "{CIncludes}GX Compatibility Interfaces" -i "{CIncludes}GX Libraries:"

"{ObjDirPPC}SVEditMain.c.x"  {MondoBuild} :Sources:SVEditMain.c :Sources:SVEditMain.h :Sources:SVEditGlobals.h
	{PPCC} :Sources:SVEditMain.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}SVEditUtils.c.x"  {MondoBuild} :Sources:SVEditUtils.c :Sources:SVEditUtils.h :Sources:SVEditGlobals.h
	{PPCC} :Sources:SVEditUtils.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}SVEditWindow.c.x"  {MondoBuild} :Sources:SVEditWindow.c :Sources:SVEditWindow.h :Sources:SVEditGlobals.h
	{PPCC} :Sources:SVEditWindow.c -o {Targ} {PPCCOptions}  -i "{CIncludes}GX Compatibility Interfaces"
	
"{ObjDirPPC}QDLibrary.c.x"  {MondoBuild} "{CIncludes}GX Libraries:QDLibrary.c"
	{PPCC} "{CIncludes}GX Libraries:QDLibrary.c" -o {Targ} {PPCCOptions}

	

